// creator  : weidu.exe (version 23100)
// argument : OBSSOL01.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~OBSSOL01~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #0 ~NumTimesTalkedTo(0)~ THEN BEGIN 0 // from:
  SAY #32920 /* ~Stranger, identify yourself before you come any closer.~ */
  IF ~~ THEN REPLY #32921 /* ~<CHARNAME>.  It appears that I am as trapped as you and your companions.~ */ GOTO 2
  IF ~~ THEN REPLY #32922 /* ~It is not my custom to announce myself to armed bands of warriors.~ */ GOTO 1
  IF ~~ THEN REPLY #33044 /* ~I have no time to talk now.~ */ GOTO 3
END

IF ~~ THEN BEGIN 1 // from: 0.1
  SAY #32923 /* ~Unless you be evil, I assure you that you have nothing to fear of Solamnic Knights.  I am Reyna, and my two companions are Onvo and Ancan.~ */
  IF ~~ THEN REPLY #33043 /* ~How long have you been trapped here?~ */ GOTO 4
  IF ~~ THEN REPLY #33046 /* ~What is a Solamnic Knight?~ */ GOTO 5
  IF ~~ THEN REPLY #33047 /* ~A pleasure to meet you but my travels are taking me elsewhere, so long.~ */ GOTO 3
END

IF ~~ THEN BEGIN 2 // from: 0.0
  SAY #32924 /* ~Trapped indeed.  I am Reyna.  Myself and my fellow Knights of Solamnia, Onvo and Anca have been imprisoned in this strange dungeon for a long time.~ */
  IF ~~ THEN REPLY #33050 /* ~I care little about your problems, so long.~ */ GOTO 3
  IF ~~ THEN REPLY #33051 /* ~Knights of Solamnia?~ */ GOTO 5
  IF ~~ THEN REPLY #33052 /* ~If I find a way out of this place I'll be sure to return for you but for now I must be on our way.~ */ GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 9.1 5.2 4.0 2.2 2.0 1.2 0.2
  SAY #33045 /* ~Fare thee well.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 4 // from: 1.0
  SAY #33048 /* ~Time flows strangely in this haunted land.  It seems like decades but it may only be weeks for all I know.~ */
  IF ~~ THEN REPLY #33053 /* ~I must be on my way, so long.~ */ GOTO 3
  IF ~~ THEN REPLY #33054 /* ~Have you any advice to help me survive this strange dungeon?~ */ GOTO 8
END

IF ~~ THEN BEGIN 5 // from: 2.1 1.1
  SAY #33049 /* ~We are the knights of honor and good upon Ansalon, a world so far removed from this one.~ */
  IF ~~ THEN REPLY #33055 /* ~I'm tired of honor and goodness, get out of my face!~ */ UNSOLVED_JOURNAL #10047 /* ~Inside the planar sphere.

I have encountered three knights who call themselves 'Knights of Solamnia', who claim to be from a world named Ansalon.  They have been trapped inside the sphere.~ [phe] */ GOTO 6
  IF ~~ THEN REPLY #33056 /* ~Are there any traps up ahead that I should be wary of?~ */ UNSOLVED_JOURNAL #10047 /* ~Inside the planar sphere.

I have encountered three knights who call themselves 'Knights of Solamnia', who claim to be from a world named Ansalon.  They have been trapped inside the sphere.~ [phe] */ GOTO 7
  IF ~~ THEN REPLY #33057 /* ~I wish you well but now I must be on my way.~ */ JOURNAL #10047 /* ~Inside the planar sphere.

I have encountered three knights who call themselves 'Knights of Solamnia', who claim to be from a world named Ansalon.  They have been trapped inside the sphere.~ [phe] */ FLAGS 128 GOTO 3
END

IF ~~ THEN BEGIN 6 // from: 5.0
  SAY #33058 /* ~My honor is not so easily offended as you might think.  Had it been, you would be lying dead at my feet.  Good bye.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 7 // from: 5.1
  SAY #33059 /* ~Traps? No, but in the dark rooms of this place I have witnessed horrors.  These terrors I am loathe to discuss but if it helps your cause then I shall.~ */
  IF ~~ THEN GOTO 8
END

IF ~~ THEN BEGIN 8 // from: 7.0 4.1
  SAY #33060 /* ~When we first arrived here, my fellow Knights and I thought to explore our new surroundings.  I wish we hadn't.~ */
  IF ~~ THEN GOTO 9
END

IF ~~ THEN BEGIN 9 // from: 12.1 8.0
  SAY #33061 /* ~To the west we were ambushed by small creatures, children in size but not in appetite.  We were hard pressed to battle our way out of the trap.~ */
  IF ~~ THEN REPLY #33062 /* ~Perhaps they were halflings?~ */ UNSOLVED_JOURNAL #9919 /* ~Inside the planar sphere.

Reyna, one of the Knights of Solamnia, warned of strange, ravenous, halfling-like creatures west of where they are.  According to Reyna, the knights were barely able to fight their way out of a trap these creatures had set.~ */ GOTO 10
  IF ~~ THEN REPLY #33063 /* ~I need hear no more, I must be on my way.~ */ UNSOLVED_JOURNAL #9919 /* ~Inside the planar sphere.

Reyna, one of the Knights of Solamnia, warned of strange, ravenous, halfling-like creatures west of where they are.  According to Reyna, the knights were barely able to fight their way out of a trap these creatures had set.~ */ GOTO 3
END

IF ~~ THEN BEGIN 10 // from: 9.0
  SAY #33064 /* ~Halflings?  If halflings seek to rip and rend the flesh from your body, to swallow your flesh and suck the marrow from your bones, then halflings they may be.~ */
  IF ~~ THEN GOTO 11
END

IF ~~ THEN BEGIN 11 // from: 10.0
  SAY #33065 /* ~You must be careful if you encounter them.  They are crafty and the worthy foe of any Knight.  Fare thee well.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #4 /* Triggers after states #: 13 20 25 even though they appear after this state */
~NumTimesTalkedToGT(0)~ THEN BEGIN 12 // from:
  SAY #33090 /* ~Greetings once more.  It appears that the cannibalistic children have yet to make a meal of you.  This is good.~ */
  IF ~~ THEN REPLY #33091 /* ~Good bye, I don't have time to talk.~ */ EXIT
  IF ~~ THEN REPLY #33092 /* ~Cannibalistic children?~ */ GOTO 9
END

IF WEIGHT #1 ~Global("PCSphere","GLOBAL",1)
Global("TalkedPCSphere","LOCALS",0)~ THEN BEGIN 13 // from:
  SAY #40658 /* ~It seems you are now master here, oh wizard of great power.  I ask you to turn your will towards getting my fellow knights and I back to where we belong.~ */
  IF ~~ THEN REPLY #40662 /* ~And just how do you expect me to do that?~ */ DO ~SetGlobal("TalkedPCSphere","LOCALS",1)~ GOTO 14
  IF ~~ THEN REPLY #40663 /* ~I will see what can be done, but I do not think the sphere is capable of it.~ */ DO ~SetGlobal("TalkedPCSphere","LOCALS",1)~ GOTO 15
  IF ~~ THEN REPLY #40664 /* ~You have not experienced this plane of existence yet. Perhaps you would like it.~ */ DO ~SetGlobal("TalkedPCSphere","LOCALS",1)~ GOTO 16
END

IF ~~ THEN BEGIN 14 // from: 13.0
  SAY #40691 /* ~I don't know. I am not knowledgeable in magic, but there must be some way. If you do not know, at least make some inquiries. I beg of you, this is not our home.~ */
  IF ~~ THEN REPLY #40692 /* ~I will see what can be done. Now leave me.~ */ GOTO 15
  IF ~~ THEN REPLY #40693 /* ~Don't bother me with your problems. I do as I like.~ */ GOTO 16
END

IF ~~ THEN BEGIN 15 // from: 20.0 14.0 13.1
  SAY #40694 /* ~That is all we can ask. We have little choice.~ */
  IF ~~ THEN DO ~SetGlobal("SpawnTeos","AR0411",1)~ UNSOLVED_JOURNAL #55643 /* ~Mage Stronghold: A request for help.

The Solamnic Knights that were trapped in the Sphere and brought to this plane have asked that I try and find a way for them to get home. I will look into it.~ */ EXIT
END

IF ~~ THEN BEGIN 16 // from: 14.1 13.2
  SAY #40695 /* ~I do not dispute that. I only ask that you see what can be done.~ */
  IF ~~ THEN DO ~SetGlobal("SpawnTeos","AR0411",1)~ UNSOLVED_JOURNAL #55643 /* ~Mage Stronghold: A request for help.

The Solamnic Knights that were trapped in the Sphere and brought to this plane have asked that I try and find a way for them to get home. I will look into it.~ */ EXIT
END

IF ~~ THEN BEGIN 17 // from: MGKHOL01:0.0
  SAY #42255 /* ~We are ready, of course. Our home beckons from beyond the walls of dimensions.~ */
  IF ~~ THEN EXTERN ~MGKHOL01~ 3
END

IF ~~ THEN BEGIN 18 // from: MGKHOL01:3.0
  SAY #42257 /* ~Wait! One last second. <CHARNAME>, we know this was not an inexpensive gift that you give to us. That is why we have something for you in return.~ */
  IF ~~ THEN GOTO 19
END

IF ~~ THEN BEGIN 19 // from: 18.0
  SAY #42260 /* ~Take this. It is a small token of our gratitude. Well met and safe travels.~ */
  IF ~~ THEN EXTERN ~MGKHOL01~ 4
END

IF WEIGHT #2 ~Global("PCSphere","GLOBAL",1)
Global("TalkedPCSphere","LOCALS",1)~ THEN BEGIN 20 // from:
  SAY #42261 /* ~Hello, <CHARNAME>, have you a good word for us? Is there anything that can be done for us? Can we be sent home?~ */
  IF ~~ THEN REPLY #42262 /* ~I do not know yet. I will try and see what can be done.~ */ GOTO 15
  IF ~Global("SolamnicKnights","GLOBAL",3)~ THEN REPLY #42263 /* ~I have arranged for a mage to come and send you home. It was quite expensive.~ */ GOTO 21
  IF ~Global("SolamnicPrelate","GLOBAL",1)~ THEN REPLY #42264 /* ~I spoke with the Prelate of the Order of the Radiant Heart. They would love to have you.~ */ GOTO 22
END

IF ~~ THEN BEGIN 21 // from: 20.1
  SAY #42265 /* ~Then we are in your debt. I cannot say how happy this makes me feel. I eagerly await their arrival and our departure. Again, thank you.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 22 // from: 20.2
  SAY #42266 /* ~I see. You are suggesting that we make what lives we can within this paladins' order. Perhaps... perhaps we should.~ */
  IF ~~ THEN GOTO 23
END

IF ~~ THEN BEGIN 23 // from: 22.0
  SAY #42267 /* ~The likelihood of our return home is minimal. We must move on. We will go to this Order, and we will offer our lives to their cause.~ */
  IF ~~ THEN GOTO 24
END

IF ~~ THEN BEGIN 24 // from: 23.0
  SAY #42268 /* ~Thank you, <CHARNAME>, I am grateful, if not happy. It is not home, but it will serve.~ */
  IF ~~ THEN DO ~AddExperienceParty(45000)
SetGlobal("SolamnicPrelate","GLOBAL",2)
ActionOverride("obssol02",EscapeAreaObject("Tran0400"))
ActionOverride("obssol03",EscapeAreaObject("Tran0400"))
EraseJournalEntry(55626)
EraseJournalEntry(55639)
EraseJournalEntry(55640)
EraseJournalEntry(55643)
EraseJournalEntry(55641)
EraseJournalEntry(55642)
EscapeAreaObject("Tran0400")~ SOLVED_JOURNAL #55644 /* ~Mage Stronghold: A home of sorts.

I have apprised the Solamnic Knights of the offer that was made by the Prelate of the Most Noble Order of the Radiant Heart. They have decided to accept, and have left for the Order. It is a bittersweet ending, as they would have much rather gone back to their true home.~ */ EXIT
END

IF WEIGHT #3 ~!Class(Player,MAGE_ALL)
GlobalGT("PowerObsidianSphere","GLOBAL",0)~ THEN BEGIN 25 // from:
  SAY #61447 /* ~Have you good tidings for us?~ */
  IF ~~ THEN REPLY #61448 /* ~We are returned to my world, but this sphere can no longer travel between the planes.~ */ GOTO 26
END

IF ~~ THEN BEGIN 26 // from: 25.0
  SAY #61449 /* ~Then we are trapped here.  As Knights of Solamnia we shall bear this with good grace.  We will travel your world and lend our swords and our souls to the cause of the right.  Perhaps we may meet again.~ */
  IF ~~ THEN DO ~ActionOverride("obssol02",EscapeArea())
ActionOverride("obssol03",EscapeArea())
EscapeArea()~ EXIT
END
